<<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<!-- Mobile Responsiveness Tag -->
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title></title>

	<!--
	<link rel="stylesheet" type="text/css" href="./index.css">
	-->

	<!--CSS BOOTSTRAP-->
	<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/css/bootstrap.min.css" integrity="sha384-B0vP5xmATw1+K9KRQjQERJvTumQW0nPEzvF6L/Z6nronJ3oUOFUFpCjEUQouq2+l" crossorigin="anonymous"/>
</head>
<body>

	<div class="text-center">
		<h2>Bootstrap Flex</h2>
		<p>Use the d-flex class to create a flex container and transform direct children into flex items</p>

		<h2>Centering Elements</h2>
		<div style="height: 500px;" class="bg-secondary p-3 d-flex justify-content-center align-items-center flex-column">
			<div class="h-25 p-3 bg-success">Flex Items A</div>
			<div class="h-25 p-3 bg-warning">Flex Items B</div>
			<div class="h-25 p-3 bg-danger">Flex Items C</div>	
		</div>

		<h2>Flex Row</h2>
		<div class="bg-dark p-3 d-flex flex-row">
			<div class="h-25 p-3 bg-success">Flex Items A</div>
			<div class="h-25 p-3 bg-warning">Flex Items B</div>
			<div class="h-25 p-3 bg-danger">Flex Items C</div>	
		</div>	

		<h2>Flex Row Reverse</h2>
		<div class="bg-dark p-3 d-flex flex-row-reverse">
			<div class="h-25 p-3 bg-success">Flex Items A</div>
			<div class="h-25 p-3 bg-warning">Flex Items B</div>
			<div class="h-25 p-3 bg-danger">Flex Items C</div>	
		</div>	
	</div>

		<!--JS BOOTSTRAP-->
		<script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/js/bootstrap.bundle.min.js" integrity="sha384-fQybjgWLrvvRgtW6bFlB7jaZrFsaBXjsOMm/tB9LTS58ONXgqbR9W8oWht/amnpF" crossorigin="anonymous"></script>
</body>
</html>
